﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class Define
    {
        public enum E_EquipmentStatus
        {
            Stop = 0,
            Start = 1,
        };

        public enum E_FormStore
        {
            FormNone = 0,
            FormMainDisplay,
            FormMenu,
        };

        public enum E_TopMenuStore
        {
            Recipe,
            Setting,
            Manual,
            Log,
            System,
        }
        public enum E_MenuRecipeStore
        {
            _0_None,
            _1_Setting,
        };
        public enum E_MenuSettingStore
        {
            _0_None,
            _1_Configuration,
            _2_Communication,
            _3_UserEditor,
        };
        public enum E_MenuManualStore
        {
            _0_None,
            _1_IoTest,
            _2_MotorSetting,
        };
        public enum E_MenuLogStore
        {
            _0_None,
            _1_History,
            _2_Inspection,
            _3_Alarm,
        };
        public enum E_MenuSystemStore
        {
            _0_None,
            _1_Information,
            _2_Time,
            _3_Equipment,
            _4_Update,
        };

        public enum E_DisplayStore
        { 
            DisplayMain,
            DisplayRecipe,
            DisplayEquipmentTest,
            DisplayUser,
            DisplayUserEditor,
        }

        public enum E_ProcessStatus
        {
            _0_None = 0,
            _1_Initial,
            _2_ProductEntry,
            _3_ChamberConbined,
            _4_VacuumStart,
            _5_VacuumHold,
            _6_Judgment,
            _7_VacuumBreak,
            _8_ChamberSeparation,
            _9_ProductRelease,
        };

        public enum E_JudgmentStatus
        {
            None,
            Pass,
            Ng,
            Error,
        };

        public enum E_ResponseData
        {
            NAK = 0,
            ACK = 1,
        };
    }
}
